/*
 * operation_exceptions.c : descript how to handle exception like DIV0
 *
 * Christophe Lucas <clucas@rotomalug.org>
 */

#include <x86/exception.h>
#include <video/x86_video.h>

static void divide_ex(int i)
{
	static ui32_t div_count = 0 ;
	printk("DIV0 exception occured: %d\n", (int)div_count);
	div_count++;
}

void setup_operations_exceptions_handlers()
{
	exception_setup_routine(EXCEPT_DIVIDE_ERROR, divide_ex);
}

